chrome.runtime.onMessage.addListener((message, sender, sendResponse) => {
    if (message.emails && message.emails.length > 0) {
        saveEmails(message.emails, message.url, message.title);
    }
});

function saveEmails(newEmails, sourceUrl, sourceTitle) {
    chrome.storage.local.get(['storedData'], (result) => {
        let data = result.storedData || [];
        newEmails.forEach(email => {
            data.push({ email: email, url: sourceUrl, title: sourceTitle });
        });
        // 去除重复项
        const uniqueData = Array.from(new Set(data.map(a => a.email)))
            .map(email => {
                return data.find(a => a.email === email)
            });
        chrome.storage.local.set({ 'storedData': uniqueData }, () => {
            console.log("Data saved:", uniqueData);
        });
    });
}

chrome.webNavigation.onCompleted.addListener((details) => {
    chrome.storage.local.get('active', (result) => {
        if (result.active !== false) {  // default to active if not set
            chrome.scripting.executeScript({
                target: {tabId: details.tabId},
                files: ['contentScript.js']
            });
        }
    });
});
